CPU_CONFIGURE(9)

NAME
cpu_configure - machine-dependent device autoconfiguration

SYNOPSIS
#include <sys/systm.h>
void
cpu_configure(void);

DESCRIPTION
The machine-dependent cpu_configure() is called during system bootstrap to perform the machine-dependent portion of device autoconfiguration. It sets the configuration machinery in motion by finding the root bus (“mainbus”). When this function returns, interrupts must be enabled.

The following tasks are performed by cpu_configure():

•   initialize soft interrupts (see softint(9));

•   initialize CPU interrupts and SPLs (see spl(9));

•   call config_rootfound() for “mainbus”; and

•   complete any initialization deferred from cpu_startup(9).

SEE ALSO
autoconf(9), cpu_startup(9)